Commit cbf6824d authored by Sébastien Blin's avatar Sébastien Blin

packaging: add fedora 33

Change-Id: I56de10fdfb39d14405cb0e502c472b4dbc112dc0
parent d6261445
......@@ -112,6 +112,8 @@ package-all: package-debian_9 \
package-fedora_31_i386 \
package-fedora_32 \
package-fedora_32_i386 \
package-fedora_33 \
package-fedora_33_i386 \
package-rhel_8 \
package-opensuse-leap_15.1 \
package-opensuse-leap_15.2 \
......
FROM fedora:33
RUN dnf clean all
RUN dnf install -y dnf-command\(builddep\) rpmdevtools
RUN dnf clean all
RUN dnf upgrade -y && \
dnf install -y mesa-libgbm-devel mesa-dri-drivers && \
dnf install -y libinput-devel && \
dnf install -y \
git \
rpm-build \
tar \
make \
autoconf \
automake \
nasm \
cmake \
speexdsp-devel \
pulseaudio-libs-devel \
libcanberra-devel \
libcurl-devel \
libtool \
dbus-devel \
expat-devel \
pcre-devel \
yaml-cpp-devel \
boost-devel \
dbus-c++-devel \
dbus-devel \
libXext-devel \
libXfixes-devel \
yasm \
speex-devel \
gsm-devel \
chrpath \
check \
astyle \
uuid-c++-devel \
gettext-devel \
gcc-c++ \
which \
alsa-lib-devel \
systemd-devel \
libuuid-devel \
uuid-devel \
gnutls-devel \
nettle-devel \
opus-devel \
patch \
jsoncpp-devel \
libnatpmp-devel \
webkitgtk4-devel \
cryptopp-devel \
libva-devel \
libvdpau-devel \
msgpack-devel \
NetworkManager-libnm-devel \
openssl-devel \
openssl-static \
clutter-devel \
clutter-gtk-devel \
libappindicator-gtk3-devel \
libnotify-devel \
libupnp-devel \
qrencode-devel \
qt5-qtbase-devel \
qt5-qttools-devel \
sqlite-devel
ADD scripts/build-package-fedora.sh /opt/build-package-fedora.sh
CMD /opt/build-package-fedora.sh
......@@ -107,6 +107,8 @@ enabled=1'
ENDTAG="fedora_31"
elif [ "${PLATFORM_ID}" = "platform:f32" ] || [ "${ID}_${VERSION_ID}" = "fedora_32" ]; then
ENDTAG="fedora_32"
elif [ "${PLATFORM_ID}" = "platform:f33" ] || [ "${ID}_${VERSION_ID}" = "fedora_33" ]; then
ENDTAG="fedora_33"
else
# Distribution is not supported. Don't provide automatic updates.
CAN_ADD_YUM_SOURCE=false
......
......@@ -107,6 +107,8 @@ enabled=1'
ENDTAG="fedora_31"
elif [ "${PLATFORM_ID}" = "platform:f32" ] || [ "${ID}_${VERSION_ID}" = "fedora_32" ]; then
ENDTAG="fedora_32"
elif [ "${PLATFORM_ID}" = "platform:f33" ] || [ "${ID}_${VERSION_ID}" = "fedora_33" ]; then
ENDTAG="fedora_33"
elif [ "${PLATFORM_ID}" = "opensuse-leap:15.1" ] || [ "${ID}_${VERSION_ID}" = "opensuse-leap_15.1" ]; then
ENDTAG="opensuse-leap_15.1"
REPO_FILE="/etc/zypp/repos.d/jami-main.repo"
......
......@@ -99,6 +99,8 @@ enabled=1'
ENDTAG="fedora_31"
elif [ "${PLATFORM_ID}" = "platform:f32" ] || [ "${ID}_${VERSION_ID}" = "fedora_32" ]; then
ENDTAG="fedora_32"
elif [ "${PLATFORM_ID}" = "platform:f33" ] || [ "${ID}_${VERSION_ID}" = "fedora_33" ]; then
ENDTAG="fedora_33"
else
# Distribution is not supported. Don't provide automatic updates.
CAN_ADD_YUM_SOURCE=false
......
......@@ -36,7 +36,7 @@ cp /opt/ring-project-ro/jami_*.tar.gz /root/rpmbuild/SOURCES
# Set the version
sed -i "s/RELEASE_VERSION/${RELEASE_VERSION}/g" *.spec
if [ ${DISTRIBUTION} == "fedora_32" ]; then
if [ ${DISTRIBUTION} == "fedora_32" ] || [ ${DISTRIBUTION} == "fedora_33" ]; then
# Remove Obsoletes for Fedora 32, as we don't publish "ring"
sed -i '/^Obsoletes:/d' *.spec
sed -i '/^Provides:/d' *.spec
......
......@@ -356,6 +356,18 @@ def run_generate_all(parsed_args):
"output_file": ".packages-built",
"options": "--security-opt seccomp=./docker/profile-seccomp-fedora_28.json --privileged",
},
{
"distribution": "fedora_33",
"debian_packaging_override": "",
"output_file": ".packages-built",
"options": "--security-opt seccomp=./docker/profile-seccomp-fedora_28.json --privileged",
},
{
"distribution": "fedora_33_i386",
"debian_packaging_override": "",
"output_file": ".packages-built",
"options": "--security-opt seccomp=./docker/profile-seccomp-fedora_28.json --privileged",
},
{
"distribution": "rhel_8",
"debian_packaging_override": "",
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment